/*
 * AlienInterface
 *
 * Back end infrastructure for communicating with aliens.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef ALIEN_INTERFACE_H
#define ALIEN_INTERFACE_H

#include <string>
#include <vector>

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"

class AlienInterface {
private:
	static int _page;
	static int _selected_option;
	static int _vpos;
	static bool _new_page;
	static bool _music_playing;
	static int _alien_type;
	static Artifact _interesting_artifact;
public:
	AlienInterface();
	void keyPressed(KeyPressed kp);
	static std::vector<std::string> getMessage();
	static int getMessageVPos();
	static bool isNewPage();
	static std::vector<std::string> getOptions();
	static int getOptionsVPos();
	static int getSelectedOption();
	static int getAlienType();
	static void reset();
};

#endif
