/*
 * ArtifactNames
 *
 * List of Artifact Materials, Items and Creators that make up 7.8 million unique artifact names.
 *
 * Copyright (c) 2009 Dale West <dale.e.west@gmail.com>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#include <string>

using namespace std;

//Ancient Materials
string artifact_name_part_1a[143] = {
	"Marble",
	"Copper",
	"Sandstone",
	"Basalt",
	"Alabaster",
	"Clay",
	"Lapis lazuli",
	"Jasper",
	"Terracotta",
	"Granite",
	"Carnelian",
	"Malachite",
	"Flint",
	"Obsidian",
	"Wooden",
	"Bone",
	"Bronze",
	"Limestone",
	"Moonstone",
	"Holy",
	"Tiger's Eye",
	"Pottery",
	"Ivory",
	"Slate",
	"Schist",
	"Pyrite",
	"Jade",
	"Marble",
	"Filthy",
	"Earthenware",
	"Decayed",
	"Crumbling",
	"Cracked",
	"Diorite",
	"Gneiss",
	"Travertine",
	"Onyx",
	"Chert",
	"Greywacke",
	"Jasper",
	"Nephrite",
	"Soapstone",
	"Micro-lithic",
	"Megalithic",
	"Argillite",
	"Turquoise",
	"Dolomite",
	"Serpentine",
	"Siliceous",
	"Travertine",
	"Gabbro",
	"Mother-of-pearl",
	"Ammolite",
	"Agate",
	"Amazonite",
	"Ametrine",
	"Citrine",
	"Cracked",
	"Breccia",
	"Anhydrite",
	"Steatite",
	"Copal",
	"Sodalite",
	"Sunstone",
	"Chrysoberyl",
	"Periclase",
	"Olivine",
	"Aquamarine",
	"Rock crystal",
	"Tektites",
	"Tanzanite",
	"Shell",
	"Wax",
	"Electrum",
	"Bitumen",
	"Chalcedony",
	"Meteoric iron",
	"Feldspar",
	"Galena",
	"Hematite",
	"Mica",
	"Quartzite",
	"Bedraggled",
	"Defiled",
	"Zoomorphic",
	"Antiquated",
	"Primative",
	"Traditional",
	"Ruined",
	"Humble",
	"Desecrated",
	"Sanctified",
	"Grubby",
	"Bloodstone",
	"Calcite",
	"Peridot",
	"Porphyry",
	"Rhodonite",
	"Vesuvianite",
	"Crushed",
	"Antler",
	"Driftwood",
	"Adamite",
	"Classic",
	"Aegirine",
	"Prototypal",
	"Cinnabar",
	"Enstatite",
	"Mysterious",
	"Barbaric",
	"Crude",
	"Unpolished",
	"Archaic",
	"Simple",
	"Legendary",
	"Famed",
	"Cursed",
	"Hallowed",
	"Divine",
	"Consecrated",
	"Venerable",
	"August",
	"Muddy",
	"Primal",
	"Magnificent",
	"Fragmentary",
	"Irregular",
	"Worn",
	"Fragile",
	"Rough",
	"Angular",
	"Lumpy",
	"Plaster",
	"Garnet",
	"Amethyst",
	"Ruby",
	"Broken",
	"Emerald",
	"Quartz",
	"Amber",
	"Pearl",
	"Jet",
	"Diamond"
};

//Industrialist Materials
string artifact_name_part_1i[143] = {
	"Silver",
	"Cardboard",
	"Steam-powered",
	"Electric",
	"Rusty",
	"Magnetic",
	"Tin",
	"Silken",
	"Rubber",
	"Nylon",
	"Origami",
	"Aluminum",
	"Golden",
	"Filigree",
	"Iron",
	"Glass",
	"Zinc",
	"Pottery",
	"Coral",
	"Ivory",
	"Steel",
	"Radium",
	"Brass",
	"Opal",
	"Pewter",
	"Lead",
	"Aesbestos",
	"Lustrous",
	"Polished",
	"Ornamental",
	"Discolored",
	"Porcelain",
	"Graphite",
	"Corroded",
	"Disintegrating",
	"Coal",
	"Borax",
	"Corundum",
	"Felspar",
	"Gypsum",
	"Discarded",
	"Irradiated",
	"Burnished",
	"Fractured",
	"Damaged",
	"Decrepit",
	"Dilapidated",
	"Embellished",
	"Vintage",
	"Bulky",
	"Contaminated",
	"Greasy",
	"Defective",
	"Faded",
	"Defaced",
	"Vandalized",
	"Tarnished",
	"Obsolete",
	"Derelict",
	"Abandoned",
	"Infamous",
	"Drab",
	"Chalky",
	"Representative",
	"Archetypal",
	"Arsenic",
	"Mass produced",
	"Barium",
	"Mercury",
	"Heavy",
	"Massive",
	"Oily",
	"Waxy",
	"Glazed",
	"Matte",
	"Sooty",
	"Inferior",
	"Rare",
	"Mahogany",
	"Dusty",
	"Mechanical",
	"Motorized",
	"Grimy",
	"Bulky",
	"Cumbersome",
	"Immense",
	"Prodigious",
	"Unusual",
	"Common",
	"Crumbly",
	"Deteriorated",
	"Colossal",
	"Grandiose",
	"Frail",
	"Jagged",
	"Lavish",
	"Makeshift",
	"Quaint",
	"Aristocratic",
	"Genteel",
	"Comercial",
	"Auric",
	"Ferrous",
	"Regal",
	"Sulphuric",
	"Wicker",
	"Beaded",
	"Rhinestone",
	"Balsa wood",
	"Bamboo",
	"Terne",
	"Cobalt",
	"Manganese",
	"Chromium",
	"Magnesium",
	"Tungsten",
	"Cadmium",
	"Bismuth",
	"Nickel",
	"Stainless steel",
	"Palladium",
	"Concrete",
	"Cork",
	"I1-124",
	"I1-125",
	"I1-126",
	"I1-127",
	"I1-128",
	"I1-129",
	"I1-130",
	"I1-131",
	"I1-132",
	"Plaster",
	"Garnet",
	"Amethyst",
	"Ruby",
	"Broken",
	"Emerald",
	"Quartz",
	"Amber",
	"Pearl",
	"Jet",
	"Diamond"
};

//Futurist Materials
string artifact_name_part_1f[143] = {
	"Uranium",
	"Plasma",
	"Electromagnetic",
	"Robotic",
	"Recycled",
	"Cryogenic",
	"Kevlar",
	"Antimatter",
	"Crystal",
	"Moissanite",
	"Silicon",
	"Plastic",
	"Ceramic",
	"Fiber Optic",
	"Zirconium oxide",
	"Yttrium",
	"Strontium",
	"Superalloy",
	"Titanium",
	"Iridium",
	"Aerogel",
	"Carbon fiber",
	"Platinum",
	"Nanotechnology",
	"Optoelectronic",
	"Superconducting",
	"Genetic",
	"Nanotube",
	"Helium",
	"Hydrogen",
	"Metallic Glass",
	"Delaminated Composite",
	"Nanocrystaline",
	"Transparent Aluminum",
	"Nuclear",
	"Sparkling",
	"Lycra ",
	"Adamantium",
	"Shiny",
	"Gleaming",
	"Flawless",
	"Glowing",
	"Luminous",
	"Effulgent",
	"Oxidized",
	"Pellucid",
	"Vermiculite",
	"Zeolite",
	"Wollastonite",
	"Recycled",
	"Polychromatic",
	"Iolite",
	"Shimmering",
	"Modular",
	"Refulgent",
	"Dainty",
	"Spiral",
	"Perfect",
	"Typical",
	"Quintessential",
	"Bauxite",
	"Unprofound",
	"Hermetically sealed",
	"Water-proof",
	"Delicate",
	"Renowned",
	"Rosy",
	"Aqua",
	"Clear",
	"Dazzling",
	"Prismatic",
	"Pristine",
	"Sterilized",
	"Sanitized",
	"Aerial",
	"Levitating",
	"Superior",
	"Kaleidoscopic",
	"Flimsy",
	"Strange",
	"Functioning",
	"Miniature",
	"Exotic",
	"Automated",
	"Streamlined",
	"Automatic",
	"Advanced",
	"Handheld",
	"Efficient",
	"Glossy",
	"Pneumatic",
	"Holographic",
	"Temporally displaced",
	"Cyrogenic",
	"F1-95",
	"F1-96",
	"F1-97",
	"F1-98",
	"F1-99",
	"F1-100",
	"F1-101",
	"F1-102",
	"F1-103",
	"F1-104",
	"F1-105",
	"F1-106",
	"F1-107",
	"F1-108",
	"F1-109",
	"F1-110",
	"F1-111",
	"F1-112",
	"F1-113",
	"F1-114",
	"F1-115",
	"F1-116",
	"F1-117",
	"F1-118",
	"F1-119",
	"F1-120",
	"F1-121",
	"F1-122",
	"F1-123",
	"F1-124",
	"F1-125",
	"F1-126",
	"F1-127",
	"F1-128",
	"F1-129",
	"F1-130",
	"F1-131",
	"F1-132",
	"Garnet",
	"Amethyst",
	"Ruby",
	"Broken",
	"Emerald",
	"Quartz",
	"Amber",
	"Pearl",
	"Jet",
	"Diamond"
};

//Ancient Items
string artifact_name_part_2a[143] = {
	"Sword",
	"Axe",
	"Knife",
	"Quill",
	"Effigy",
	"Skull",
	"Tome",
	"Manuscript",
	"Tablet",
	"Obelisk",
	"Idol",
	"Beads",
	"Sarcophagus",
	"Shield",
	"Wheel",
	"Vorpal Blade",
	"Sickle",
	"Dagger",
	"Talisman",
	"Amulet",
	"Carving",
	"Charm",
	"Token",
	"Diamen",
	"Headdress",
	"Abacus",
	"Figurine",
	"Casket",
	"Blade",
	"Lance",
	"Machete",
	"Sickle",
	"Sigil",
	"Rune",
	"Grimoire",
	"Boots",
	"Torque",
	"Scarab",
	"Urn",
	"Chariot",
	"Arrow head",
	"Hand ax",
	"Spear",
	"Barrel",
	"Bridle",
	"Caravel",
	"Bell",
	"Bucket",
	"Hourglass",
	"Fish hooks",
	"Latern",
	"Needle",
	"Whistle",
	"Club",
	"Dart",
	"Dirk",
	"Trident",
	"Pole-arm",
	"Hairpin",
	"Circlet",
	"Armlet",
	"Fibula",
	"Adze",
	"Hammerstone",
	"Wine jar",
	"Chisel",
	"Bradawl",
	"Awl",
	"Hatchet",
	"Lathe",
	"Fishing float",
	"Anchor",
	"Headrest",
	"Stool",
	"Trunk",
	"Button",
	"Cartouche",
	"Cymbals",
	"Fan",
	"Buckle",
	"Spoon",
	"Walking stick",
	"Bezel",
	"Seal",
	"Tombstone",
	"Altar",
	"Brazier",
	"Incense burner",
	"Shrine",
	"Flail",
	"Hoe",
	"Mattock",
	"Ballista",
	"Halberd",
	"Mortar and pestle",
	"Quern",
	"Millstone",
	"Harpoon",
	"Potter's wheel",
	"Loom",
	"Spindle",
	"Mallet",
	"Drill",
	"Yoke",
	"Amphorae",
	"Ewer",
	"Krater",
	"Rhyton",
	"Shards",
	"Cylinder Seal",
	"Periapt",
	"Effigy",
	"Figurine",
	"Cap stone",
	"Projectile points",
	"Pilum",
	"Mug",
	"Pillar",
	"Disc",
	"Medallion",
	"Anklet",
	"Earrings",
	"Staff",
	"Necklace",
	"Goblet",
	"Mask",
	"Rod",
	"Flute",
	"Helm",
	"Sphere",
	"Throne",
	"Chalice",
	"Wand",
	"Sculpture",
	"Statue",
	"Ring",
	"Pendant",
	"Pyramid",
	"Horn",
	"Mirror",
	"Crown",
	"Grail",
	"Vase"
};

//Industrialist Items
string artifact_name_part_2i[143] = {
	"Text",
	"Microscope",
	"Ornithopter",
	"Trombone",
	"Glockenspiel",
	"Battery",
	"Triode valve",
	"Transistor",
	"Clothes pins",
	"Floppydisk",
	"Toaster",
	"Postcard",
	"8-track",
	"Locomotive",
	"Sextant",
	"Globe",
	"Engine",
	"Prism",
	"Vice",
	"Gauge",
	"Valve",
	"Gears",
	"Clock",
	"Pocketwatch",
	"Goggles",
	"Collectable",
	"Compass",
	"Cup",
	"Spectacles",
	"Telescope",
	"Camera",
	"Beltbuckle",
	"Guitar",
	"Musket",
	"Chair",
	"Coronet",
	"Tiara",
	"Calculator",
	"Badge",
	"Trophy",
	"Medal",
	"Plaque",
	"Brooch",
	"Decanter",
	"Stein",
	"Yacht",
	"Canoe",
	"Belt Buckle",
	"Lock",
	"Ladder",
	"Magnifying glass",
	"Spyglass",
	"Arquebus",
	"Hatpin",
	"Choker",
	"Cuff links",
	"Money clip",
	"Locket",
	"Cameo",
	"Key",
	"Gravestone",
	"Scissors",
	"Canon",
	"Doll",
	"Funnel",
	"Tubing",
	"Engraving",
	"Stapler",
	"Protracter",
	"Filing Cabinet",
	"Crochet hook",
	"Knitting needles",
	"Name tag",
	"Teddy bear",
	"Monocle",
	"Spectacles",
	"Etching",
	"Hinges",
	"Coins",
	"Snuff bottle",
	"Tea pot",
	"Paper weight",
	"Spatula",
	"Plunger",
	"Hair dryer",
	"Chandelier",
	"Cheese grater",
	"I2-88",
	"I2-89",
	"I2-90",
	"I2-91",
	"I2-92",
	"I2-93",
	"I2-94",
	"I2-95",
	"I2-96",
	"I2-97",
	"I2-98",
	"I2-99",
	"I2-100",
	"I2-101",
	"I2-102",
	"I2-103",
	"I2-104",
	"I2-105",
	"I2-106",
	"I2-107",
	"I2-108",
	"I2-109",
	"I2-110",
	"I2-111",
	"I2-112",
	"I2-113",
	"I2-114",
	"I2-115",
	"I2-116",
	"I2-117",
	"I2-118",
	"I2-119",
	"Medallion",
	"Anklet",
	"Earrings",
	"Staff",
	"Necklace",
	"Goblet",
	"Mask",
	"Rod",
	"Flute",
	"Helmet",
	"Sphere",
	"Throne",
	"Chalice",
	"Wand",
	"Sculpture",
	"Statue",
	"Ring",
	"Pendant",
	"Pyramid",
	"Horn",
	"Mirror",
	"Crown",
	"Grail",
	"Vase"
};

//Futurist Items
string artifact_name_part_2f[143] = {
	"Hypercube",
	"Spacesuit",
	"Processer",
	"Headset",
	"Keyboard",
	"Goggles",
	"Hover board",
	"Reactor",
	"Flying Car",
	"Microchip",
	"Exoskeleton",
	"Robot",
	"Solar Panel",
	"Jetpack",
	"Circlet",
	"Headband",
	"Insignia",
	"Apparatus",
	"Device",
	"Widget",
	"Beaker",
	"Scanner",
	"Printer",
	"Cell phone",
	"Laptop",
	"Fountain",
	"Keycard",
	"Calipers",
	"Accesories",
	"Paraphenelia",
	"Creditcard",
	"Portal Spawner",
	"Warp pod",
	"Hovercraft",
	"CD-Rom",
	"Microwave",
	"Android",
	"Ansible",
	"Tractor beam",
	"Plasma rifle",
	"Regeneration tank",
	"Escape pod",
	"Matter transmitter",
	"F2-44",
	"F2-45",
	"F2-46",
	"F2-47",
	"F2-48",
	"F2-49",
	"F2-50",
	"F2-51",
	"F2-52",
	"F2-53",
	"F2-54",
	"F2-55",
	"F2-56",
	"F2-57",
	"F2-58",
	"F2-59",
	"F2-60",
	"F2-61",
	"F2-62",
	"F2-63",
	"F2-64",
	"F2-65",
	"F2-66",
	"F2-67",
	"F2-68",
	"F2-69",
	"F2-70",
	"F2-71",
	"F2-72",
	"F2-73",
	"F2-74",
	"F2-75",
	"F2-76",
	"F2-77",
	"F2-78",
	"F2-79",
	"F2-80",
	"F2-81",
	"F2-82",
	"F2-83",
	"F2-84",
	"F2-85",
	"F2-86",
	"F2-87",
	"F2-88",
	"F2-89",
	"F2-90",
	"F2-91",
	"F2-92",
	"F2-93",
	"F2-94",
	"F2-95",
	"F2-96",
	"F2-97",
	"F2-98",
	"F2-99",
	"F2-100",
	"F2-101",
	"F2-102",
	"F2-103",
	"F2-104",
	"F2-105",
	"F2-106",
	"F2-107",
	"F2-108",
	"F2-109",
	"F2-110",
	"F2-111",
	"F2-112",
	"F2-113",
	"F2-114",
	"F2-115",
	"F2-116",
	"F2-117",
	"F2-118",
	"F2-119",
	"Medallion",
	"Anklet",
	"Earrings",
	"Staff",
	"Necklace",
	"Goblet",
	"Mask",
	"Rod",
	"Flute",
	"Helmet",
	"Sphere",
	"Throne",
	"Chalice",
	"Wand",
	"Sculpture",
	"Statue",
	"Ring",
	"Pendant",
	"Pyramid",
	"Horn",
	"Mirror",
	"Crown",
	"Grail",
	"Vase"
};

//Ancient Creators
string artifact_name_part_3a[143] = {
	"the Knights Templar",
	"the Dragon",
	"the Alchemists",
	"the Makara",
	"the Minotaur",
	"the Wyvern",
	"the Kraken",
	"the Dryads",
	"Quetzalcoatl",
	"the Patricians",
	"Sedna",
	"the Adepts",
	"the Astrologists",
	"the Prophet",
	"Ninlil",
	"Vanth",
	"Cerebus",
	"Erinyes",
	"the Geomancers",
	"the Mystics",
	"the Tengu",
	"the Theurgists",
	"the Unicorn",
	"the Nautilus",
	"the Elders",
	"the Disinherited",
	"the Sphinx",
	"the Pegasus",
	"the Hunters",
	"the Farmers",
	"the Falconer",
	"the Fletcher",
	"the Leatherworkers",
	"the Weavers",
	"the Flintknappers",
	"the Stonemasons",
	"the Magicians",
	"the Shamans",
	"the Druids",
	"the Hierophant",
	"the Archers",
	"the Ox-herder",
	"the Alewife",
	"the Apothecary",
	"the Blacksmiths",
	"the Begger",
	"the Bowyers",
	"the Dragoons",
	"the Exchequer",
	"the Hansard",
	"the Berzerker",
	"the Clerics",
	"the Bards",
	"the Hospitalers",
	"the Skald",
	"the Jongleurs",
	"the Limner",
	"the Mason",
	"the Trapper",
	"the Weaponsmith",
	"the Scribe",
	"the Herbalists",
	"the Tritons",
	"the Yeti",
	"the Wraith",
	"the Titans",
	"Olympus",
	"the Sprites",
	"the Satyrs",
	"the Phoenix",
	"Nightmares",
	"the Nymphs",
	"the Minotaur",
	"the Kings",
	"the Princess",
	"the Empress",
	"the Hydra",
	"the Osirian Portal",
	"the Gorgon",
	"the Giants",
	"the Cave dwellers",
	"the Lost",
	"the Herders",
	"the Forgotten",
	"the Harem",
	"the Peons",
	"Visions",
	"the Phantasm",
	"the Soulless",
	"the Apparitions",
	"the Shadows",
	"Specters",
	"the Tribe",
	"the Dynasty",
	"the Kindred",
	"the Midwife",
	"the Artists",
	"the Beekeepers",
	"the Calligrapher",
	"the Drayman",
	"the Cheesemakers",
	"the Cobler",
	"the Crofter",
	"the Gameskeeper",
	"the Gate-keeper",
	"the Embalmer",
	"the Fishermen",
	"the Nuns",
	"the Oracle",
	"the Peddler",
	"the Matron",
	"the Messengers",
	"the Lepers",
	"the Monks",
	"the Pirates",
	"the Molecatcher",
	"the Sculptor",
	"the Soldiers",
	"the Warder",
	"the Winemakers",
	"the Miners",
	"the Sexton",
	"the Servants",
	"the Sheepshearer",
	"the Tanner",
	"the Moneychangers",
	"the Milkmaid",
	"the Miller",
	"the Fishmongers",
	"the Town crier",
	"the Hayward",
	"the Diseased",
	"the Immortals",
	"the Impure",
	"the Sultan",
	"the Baroness",
	"the Pharoh",
	"the Emperor",
	"the Negus",
	"the Consort",
	"the Acolytes",
	"the Courtiers",
	"the Matriarch"
};

//Industrialist Creators
string artifact_name_part_3i[143] = {
	"the Illuminati",
	"the Luchadors",
	"the Colony",
	"the Housewives",
	"the Rosicrucians",
	"the Freemasons",
	"the Archaeologists",
	"the Homeless",
	"the Librarians",
	"the Archivists",
	"the Poets",
	"the Vampiress",
	"the Artificer",
	"the Boilermakers",
	"the Accountants",
	"the Bookkeepers",
	"the Cheerleaders",
	"the Plumber",
	"the Chemists",
	"the Ironworkers",
	"the Diplomats",
	"the Dramaturgs",
	"the Medic",
	"the Entrepreneurs",
	"the Haberdashers",
	"the Handymen",
	"the Real estate agents",
	"the Seamstress",
	"the Chimney Sweeps",
	"the Secretaries",
	"the Gravediggers",
	"the Lumberjacks",
	"the Navigator",
	"the Hairdressers",
	"the Telemarketers",
	"the Mortician",
	"the Demonologists",
	"the Viscount",
	"the Administrators",
	"the Mechanics",
	"the Boilermakers",
	"the Dockworkers",
	"the Dressmakers",
	"the Censors",
	"the Carpenters",
	"the Clerks",
	"the Clockmakers",
	"the Civil servants",
	"the Concierge",
	"the Constable",
	"the Handyman",
	"the Harbourmaster",
	"the Engraver",
	"the Flight attendant",
	"the Pilot",
	"the Governor",
	"the Florists",
	"the Ironmonger",
	"the Judge",
	"the Janitors",
	"the Locksmith",
	"the Pawnbroker",
	"the Tailor",
	"the Traders",
	"the Tradesmen",
	"the Truckers",
	"the Undertaker",
	"the Vicar",
	"the Welders",
	"the Woodcutters",
	"the Birders",
	"the Bargin Hunters",
	"the Busdrivers",
	"the Cowboy",
	"I3-75",
	"I3-76",
	"I3-77",
	"I3-78",
	"I3-79",
	"I3-80",
	"I3-81",
	"I3-82",
	"I3-83",
	"I3-84",
	"I3-85",
	"I3-86",
	"I3-87",
	"I3-88",
	"I3-89",
	"I3-90",
	"I3-91",
	"I3-92",
	"I3-93",
	"I3-94",
	"I3-95",
	"I3-96",
	"I3-97",
	"I3-98",
	"I3-99",
	"I3-100",
	"I3-101",
	"I3-102",
	"I3-103",
	"I3-104",
	"I3-105",
	"I3-106",
	"I3-107",
	"I3-108",
	"I3-109",
	"I3-110",
	"I3-111",
	"I3-112",
	"I3-113",
	"I3-114",
	"I3-115",
	"I3-116",
	"I3-117",
	"I3-118",
	"I3-119",
	"I3-120",
	"I3-121",
	"I3-122",
	"I3-123",
	"I3-124",
	"I3-125",
	"I3-126",
	"I3-127",
	"I3-128",
	"I3-129",
	"I3-130",
	"I3-131",
	"I3-132",
	"I3-133",
	"I3-134",
	"I3-135",
	"I3-136",
	"I3-137",
	"I3-138",
	"I3-139",
	"I3-140",
	"I3-141",
	"I3-142",
	"I3-143"
};

//Futurist Creators
string artifact_name_part_3f[143] = {
	"the Technomages",
	"Yendor",
	"the Chikarmy",
	"the Anarchists",
	"the Fanfic Writers",
	"the Bloggers",
	"the Zombies",
	"the Morlocks",
	"the Homunculus",
	"the Videogame testers",
	"the Gremlins",
	"the Gamers",
	"the Gamblers",
	"the Cryptozoologists",
	"the Ethnomusicologists",
	"the Slackers",
	"Haruhiism",
	"Wonder",
	"the Geophysicists",
	"the Vegans",
	"the Dominar",
	"the Telepaths",
	"the Xenoarchaeologist",
	"the Xenobotanist",
	"the Empath",
	"the Biotechnicians",
	"F3-27",
	"F3-28",
	"F3-29",
	"F3-30",
	"F3-31",
	"F3-32",
	"F3-33",
	"F3-34",
	"F3-35",
	"F3-36",
	"F3-37",
	"F3-38",
	"F3-39",
	"F3-40",
	"F3-41",
	"F3-42",
	"F3-43",
	"F3-44",
	"F3-45",
	"F3-46",
	"F3-47",
	"F3-48",
	"F3-49",
	"F3-50",
	"F3-51",
	"F3-52",
	"F3-53",
	"F3-54",
	"F3-55",
	"F3-56",
	"F3-57",
	"F3-58",
	"F3-59",
	"F3-60",
	"F3-61",
	"F3-62",
	"F3-63",
	"F3-64",
	"F3-65",
	"F3-66",
	"F3-67",
	"F3-68",
	"F3-69",
	"F3-70",
	"F3-71",
	"F3-72",
	"F3-73",
	"F3-74",
	"F3-75",
	"F3-76",
	"F3-77",
	"F3-78",
	"F3-79",
	"F3-80",
	"F3-81",
	"F3-82",
	"F3-83",
	"F3-84",
	"F3-85",
	"F3-86",
	"F3-87",
	"F3-88",
	"F3-89",
	"F3-90",
	"F3-91",
	"F3-92",
	"F3-93",
	"F3-94",
	"F3-95",
	"F3-96",
	"F3-97",
	"F3-98",
	"F3-99",
	"F3-100",
	"F3-101",
	"F3-102",
	"F3-103",
	"F3-104",
	"F3-105",
	"F3-106",
	"F3-107",
	"F3-108",
	"F3-109",
	"F3-110",
	"F3-111",
	"F3-112",
	"F3-113",
	"F3-114",
	"F3-115",
	"F3-116",
	"F3-117",
	"F3-118",
	"F3-119",
	"F3-120",
	"F3-121",
	"F3-122",
	"F3-123",
	"F3-124",
	"F3-125",
	"F3-126",
	"F3-127",
	"F3-128",
	"F3-129",
	"F3-130",
	"F3-131",
	"F3-132",
	"F3-133",
	"F3-134",
	"F3-135",
	"F3-136",
	"F3-137",
	"F3-138",
	"F3-139",
	"F3-140",
	"F3-141",
	"F3-142",
	"F3-143"
};
