/*
 * CaptainNames
 *
 * Class to distribute ship captain names to clients, and tools to ensure names do
 * not overlap.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef CAPTAIN_NAMES_H
#define CAPTAIN_NAMES_H

#include <string>
#include <list>
#include <vector>

using namespace std;

#define NUM_CAPTAIN_NAMES 137

class CaptainNames {
private:
	static std::vector<std::string> _available_names;
	static std::list<std::string> _used_names;
	static std::string _captain_names_array[NUM_CAPTAIN_NAMES];
public:
	CaptainNames();
	static string getRandomName();
	static void returnName(string name);
};


#endif
