/*
 * Font
 *
 * Helper class to handle both SDL_gfx and SDL_ttf fonts.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef FONT_H
#define FONT_H

#include <string>
#include <map>
#include "SDL/SDL_ttf.h"

struct strCmp {
	bool operator()( std::string s1, std::string s2 ) const {
		return s1.compare(s2) < 0;
	}
};

class Font {
private:
	static char *_font_data[3];
	static TTF_Font *_ttf_font_data[3];
public:
	Font();
	static void setFont(std::string font);
	static TTF_Font *getTTFFont(std::string font);
};

#endif
