/*
 * FrameTimer
 *
 * Class to time frame length, and extend it if necessary.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef FRAME_TIMER_H
#define FRAME_TIMER_H

class FrameTimer {
private:
	static int _frame_length;
	static int _last_tick;
	static int _interim_tick;
	static int _time_elapsed;
	static int _last_start;
public:
	FrameTimer();
	static void setFrameLength(int frame_length);
	static int getFrameLength();
	static int getInterimFrameLength();
	static int getFPS();
	static void delayFrame();
	static int getTimeElapsed();
	static void startTimer();
	static void pauseTimer();
	static void resetTimer();
};

#endif
