/*
 * GalaxySurface
 *
 * Renders the galaxy of stars and the background halo image onto the screen surface.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef GALAXY_SURFACE_H
#define GALAXY_SURFACE_H

#include <string>
#include <vector>

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"


class GalaxySurface {
private:
	static SDL_Surface *_surface;
	static SDL_Surface *_ship_surface;
	static SDL_Surface *_cursor_surface;
	static SDL_Surface *_artifact_cursor_surface;
	static SDL_Rect _rect;
	static SDL_Rect _cursor_rect;
	static SDL_Rect _artifact_cursor_rect;
	//static SDL_Rect _ship_rect;
	static SDL_Surface *_galaxy_surface_1;
	static SDL_Surface *_galaxy_surface_2;
	static SDL_Surface *_galaxy_surface_3;
	static SDL_Surface *_galaxy_surface_4;
	static bool _artifact_cursor_cheat;
public:
	GalaxySurface();
	~GalaxySurface();
	void blit();
	void blitShip();
	void blitShip(Ship my_ship);
	bool blitCursor();
	bool blitArtifactCursor();
	void toggleArtifactCursorCheat();
	static bool getArtifactCursorCheat();
	static SDL_Surface *getGalaxySurface();
};

#endif
