/*
 * InformationSurface
 *
 * Renders the collection of alien information as a red layer to be placed on top of
 * the GalaxySurface and the MinimapSurface.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef INFORMATION_SURFACE_H
#define INFORMATION_SURFACE_H

#include <string>
#include <vector>

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"

class Information;

class InformationSurface {
private:
	static SDL_Surface *_surface;
	static SDL_Surface *_border_surface;
	static SDL_Rect _rect;
	static Sint32	_color;
	static Coords _offset;
	static float _scale;
	static int _screen_center;
	static int _shrink;
public:
	InformationSurface();
	~InformationSurface();
	static void blit();
	static void blit(bool mini);
	static bool blitCircle(Information info, bool inverted);
	static bool blitWedge(Information info, bool inverted);
	static bool blitSector(Information info, bool inverted);
	static void blitBorderSurface();
	static int getInformationScore(SDL_Surface *surface);
	static float getInformationArea(SDL_Surface *surface);
};

#endif
