/*
 * KeyPressed
 *
 * Collect SDL_Events for key presses or mouse events.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef KEY_PRESSED_H
#define KEY_PRESSED_H

#define KEY_QUIT		-3
#define KEY_UNKNOWN		-2
#define KEY_UNPRESSED	-1
#define KEY_0			 0
#define KEY_1			 1
#define KEY_2			 2
#define KEY_3			 3
#define KEY_4			 4
#define KEY_5			 5
#define KEY_6			 6
#define KEY_7			 7
#define KEY_8			 8
#define KEY_9			 9
#define KEY_TAB			10
#define KEY_ENTER		11
#define KEY_HOME		12
#define KEY_PAUSE		13
#define KEY_MUTE		14
#define KEY_ESC 		15
#define KEY_TYPE 		16
#define KEY_CONFIRM		17

#define KEY_CHEAT1		901
#define KEY_CHEAT2		902
#define KEY_CHEAT3		903
#define KEY_CHEAT4		904
#define KEY_CHEAT5		905

class KeyPressed {
private:
	static int _key_hold;
	static bool _key_down;
	static int _down_key;
	int _key_pressed;
	int _mouse_pressed;
	int _mouse_dir;
	bool _shift_pressed;
	bool _ctrl_pressed;
	static int _mouse_x;
	static int _mouse_y;
public:
	KeyPressed();
	int getKeyPressed();
	bool isShiftPressed();
	bool isCtrlPressed();
	static bool getKeyHold();
	int isMousePressed();
	int getMouseX();
	int getMouseY();
	int getMouseDir();
};

#endif
