/*
 * Map
 *
 * Helper header file for string and int comparisons, used by map hashtables.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */


#ifndef MAP_H
#define MAP_H

#include <string>

struct map_string_compare {
	bool operator()( const std::string s1, const std::string s2 ) const {
		return s1.compare(s2) < 0;
	}
};

struct map_int_compare {
	bool operator()( const int i1, const int i2 ) const {
		return (i1<i2);
	}
};

#endif
