/*
 * MessageBuffer
 *
 * A keystroke library that takes unicode keyboard events used in the game's chat window.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef MESSAGE_BUFFER_H
#define MESSAGE_BUFFER_H

class MessageBuffer {
private:
	static std::string _message;
	static bool _message_complete;
	static bool _quit;
public:
	MessageBuffer();
	MessageBuffer(const MessageBuffer &mb);
	static void getKey();
	static bool isMessageComplete();
	static std::string getMessage();
	static void clearMessage();
	static bool isQuit();
};

#endif
