/*
 * MessageSurface
 *
 * Renders game messages and user chat to the screen surface.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef MESSAGE_SURFACE_H
#define MESSAGE_SURFACE_H

#include "SDL/SDL.h"

class MessageSurface {
private:
	SDL_Surface *_surface;
	SDL_Surface *_text_surface;
	SDL_Rect _rect;
	SDL_Rect _message_rect;
	SDL_Rect _text_rect;

	static int _height_counter;
public:
	MessageSurface();
	~MessageSurface();
	void blit();
	void blitMessages();
	void blitText();
};

#endif
