/*
 * NetworkEnvelope
 *
 * Threaded wrapper class for SDLNet_TCP_Send, which can block in certain circumstances.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef NETWORK_ENVELOPE_H
#define NETWORK_ENVELOPE_H

#include <string>
#include <list>
#include "SDL/SDL.h"
#include "SDL/SDL_net.h"

class NetworkEnvelope {
protected:
	TCPsocket *_socket;
	std::string _message;
	static std::list<NetworkEnvelope> _unsent;
	static int _last_id;
	int _id;
public:
	NetworkEnvelope(TCPsocket *socket, std::string message);
	NetworkEnvelope(const NetworkEnvelope &nc);
	~NetworkEnvelope();
	bool operator==(const NetworkEnvelope &nc);
	static void* sendEnvelopeThread(void* network_envelope);
	void send();
};

#endif
