/*
 * NumberGenerator
 *
 * Generates evenly distributed numbers for the distribution of stars.  rand0() also replaces
 * system rand() call.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef NUMBER_GENERATOR_H
#define NUMBER_GENERATOR_H

class NumberGenerator {
private:
	static float ran0(long *idum);
	static long _idum;
public:
	static float galaxy_rand(int star_number, int offset);
	static int int_pow(int x,int y);
	static float rand0();
};

#endif
