/*
 * OverviewSurface
 *
 * Blits the Overview surface (sector information, star information, aliens, artifacts, etc)
 * to the screen surface.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef OVERVIEW_SURFACE_H
#define OVERVIEW_SURFACE_H

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"

class OverviewSurface {
private:
	static SDL_Surface *_surface;
	static SDL_Surface *_industrialist_surface;
	static SDL_Surface *_industrialist_face_surface;
	static SDL_Surface *_futurist_surface;
	static SDL_Surface *_futurist_jaw_surface;
	static SDL_Rect _rect;
	static SDL_Rect _industrialist_rect;
	static SDL_Rect _industrialist_face_rect;
	static SDL_Rect _futurist_rect;
	static SDL_Rect _futurist_jaw_rect;
	static bool _update;
	static bool _alien_rendered;
	static int _frame_hold;
	static int _frame_hold_count;
public:
	OverviewSurface();
	~OverviewSurface();
	static void blit();
	static void blitStarOverview();
	static void blitSectorOverview();
	static void blitAncient();
	static void blitIndustrialist();
	static void blitFuturist();
	static void reset();
};

#endif
