/*
 * RadarSurface
 *
 * Renders the ship radar and the radar echo information to the screen surface, as a layer
 *   displayed on top of the GalaxySurface.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef RADAR_SURFACE_H
#define RADAR_SURFACE_H

#include <string>
#include <vector>

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"

class RadarSurface {
private:
	SDL_Surface *_surface;
	SDL_Rect _rect;
public:
	RadarSurface();
	~RadarSurface();
	void blit();
};

#endif
