/*
 * ScreenSurface
 *
 * A wrapper class for the SDL_Surface of the game window.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#include <iostream>

#include "Definitions.h"
#include "ScreenSurface.h"

using namespace std;

SDL_Surface *ScreenSurface::_surface;
//SDL_Surface *ScreenSurface::_fullscreen_surface;
//SDL_Rect ScreenSurface::_fullscreen_rect;

/*
 * Constructor. Initialize Screen Surface.  Must be initialized before any other surface is blit.
 */
ScreenSurface::ScreenSurface() {
	SDL_Init(SDL_INIT_VIDEO);

	/*
	//Code for Full Screen mode
	//Commented out for now, as it doesn't impove fps, and there would be issues on widescreen
	// monitors.
	const SDL_VideoInfo* videoInfo = SDL_GetVideoInfo();
	int w = videoInfo->current_w;
	int h = videoInfo->current_h;

	int by9 = (9*w)/h;

	cout << "w = "<<w<<" h = "<<h<<" by9 = "<<by9<<endl;
	*/
	_surface = SDL_SetVideoMode(SCREEN_WIDTH, SCREEN_HEIGHT, SCREEN_DEPTH,  SDL_DOUBLEBUF);
	//_fullscreen_surface = SDL_SetVideoMode(SCREEN_WIDTH, 600, SCREEN_DEPTH, SDL_DOUBLEBUF|SDL_FULLSCREEN);
	//_surface =  SDL_CreateRGBSurface(SDL_HWSURFACE, SCREEN_WIDTH, SCREEN_HEIGHT, SCREEN_DEPTH,0,0,0,0);
	SDL_EventState(SDL_MOUSEMOTION, SDL_IGNORE);

	//_fullscreen_rect.x=0;
	//_fullscreen_rect.y=60;
	//_fullscreen_rect.w=SCREEN_WIDTH;
	//_fullscreen_rect.h=SCREEN_HEIGHT;
}

/*
 * Destrictor. Free Screen surface.
 */
ScreenSurface::~ScreenSurface() {
	//FIXME
	//Somehow, this line ONLY causes a segfault on exit on my server,
	// but not my Asus EEE running Linux
	//SDL_FreeSurface(_surface);
}

/*
 * Copy Constructor.
 */
ScreenSurface::ScreenSurface(const ScreenSurface &ss) {
	_surface = ss._surface;
	//_fullscreen_surface = ss._fullscreen_surface;
}

/*
 * Returns a reference to the Screen Surface.  Used by all blitting surfaces.
 */
SDL_Surface *ScreenSurface::getScreenSurface() {
	return _surface;
}

/*
 * Flips the double buffered screen surface to the actual screen once all surfaces have drawn to it.
 */
void ScreenSurface::flip() {
	//SDL_BlitSurface(_surface,NULL,_fullscreen_surface,&_fullscreen_rect);
	//SDL_Flip(_fullscreen_surface);
	SDL_Flip(_surface);
}
