/*
 * SoundSystem
 *
 * Handles game requests to play sounds and music.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef SOUND_SYSTEM_H
#define SOUND_SYSTEM_H

#include <vector>

#include "SDL/SDL.h"
#include "SDL/SDL_mixer.h"

#define ANCIENT_MUSIC 0
#define INDUSTRIALIST_MUSIC 1
#define FUTURIST_MUSIC 2
#define ARTIFACT_SOUND 3
#define ALIEN_SOUND 4



class SoundSystem {
private:
	static std::vector<Mix_Chunk*> _effects;
	static std::vector<Mix_Music*> _music;
	static bool _muted;
	static int _current_track;
public:
	SoundSystem();
	~SoundSystem();
	static void playSound(int i);
	static void stopSound(int i);
	static void playMusic();
	static void pauseMusic();
	static void resumeMusic();

	static bool mute();
};

#endif
