/*
 * VictorySurface
 *
 * Displayed to screen if the user wins or loses the game.
 *
 * Copyright (c) 2009 Trevor Bradley <trevor.bradley@shaw.ca>
 *
 * This code is being shared for educational purposes only.
 * You are free to download this code from authorized sites.
 * You may examine, modify and compile the code for personal purposes.
 * You may not redistribute any portion of this code without the author's permission.
 * You may not redistribute binaries containing this code without the author's permission.
 *
 * Please read the LICENSE file for licensing details.
 *
 */

#ifndef VICTORY_SURFACE_H
#define VICTORY_SURFACE_H

#include <string>
#include <vector>

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"

class VictorySurface {
private:
	SDL_Surface *_surface;
	SDL_Surface *_translucency_surface;
	SDL_Rect _rect;
	int _frame_count;
	std::vector<std::string> _message;
public:
	VictorySurface(bool victory);
	~VictorySurface();
	void blit();
	void blitMessage();
};

#endif
